/*
 * Copyright (C) 2017 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

syntax = "proto2";
package android.os;

import "frameworks/base/core/proto/android/privacy.proto";
option java_multiple_files = true;

message MessageProto {
    option (.android.msg_privacy).dest = DEST_AUTOMATIC;

    // Targeted delivery time of the message.
    optional int64 when = 1;
    // Name of callback class.
    optional string callback = 2;
    // App-defined message code so that the recipient can identify what this
    // message is about.
    optional int32 what = 3;
    // Lower-cost alternative to using setData() if the app only needs to store a few integer values.
    optional int32 arg1 = 4;
    // Lower-cost alternative to using setData() if the app only needs to store a few integer values.
    optional int32 arg2 = 5;
    // String representation of an arbitrary object to send to the Handler.  When
    // using android.os.Messenger to send the message across processes, this will
    // only be populated if it contains a Parcelable of a framework class (not one
    // implemented by the application).
    optional string obj = 6 [ (.android.privacy).dest = DEST_EXPLICIT ];
    // Name of target class.
    optional string target = 7;
    optional int32 barrier = 8;
}
